eagle-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jayesh Senjaliya <jayesh.senjal...@gmail.com>
Subject Re: Can compile Eagle-0.5.1 but Eagle 05.0 compile fails
Date Fri, 15 Mar 2019 00:00:03 GMT
Hi Tushar,

glad that you were able to compile the project successfully now.

Apache Eagle depends heavily on hadoop processes + hbase and mysql, so
please make sure they are up and running successfully.
Also I would look for the configuration you are using and the error
messages in the logs.

attaching the sample config file we use for your reference.

good luck !
- Jayesh





On Thu, Mar 14, 2019 at 2:00 PM tusharintech@gmail.com <
tusharintech@gmail.com> wrote:

>
>
> On 2019/03/14 03:47:04, tusharintech@gmail.com <tusharintech@gmail.com>
> wrote:
> > Summary: Eagle Eagle-0.5.1 compiles  but fails to  load the dashboard.
> > Eagle-0.5.)  fails to  compile. Wonder when  some  one last compiled
> eagle-0.5.0 source from the branch-0.5 at the github,
> > Wonder what JDK, NPM, JAVA version they used. Can you share the latest
> working binary image of eagle compiled woth JDK 1.8 (eagle-0.5.0-bin.tar.gz)
> >
> >
> > I)  I downloaded the master  branch of the eagle  form
> https://github.com/apache/eagle   .
> >
> > 1.    git clone https://github.com/apache/eagle.git   .
> > 2.    mvn clean install –DskipTests
> >  rendering
> /root/eagle/eagle-assembly/target/eagle-0.5.1-SNAPSHOT-bin.tar.gz.
> However  at the browser http://<IP>:9090/,appache Eagle   fails  to
> display the  dashboard.
> >
> > II) I got the binary of eagle-05.0  ( eagle-0.5.0-bin.tar.gz)  built
> about 2 years back. This does load the Eagle dashboard  ,can set up site,
> application but it fails to define the  Policy. The apply button at the GUI
> to define the policy is  greyed out.
> >
> > III) So trying to get the  official version of  the Eagle at 0.5 release
> >
> > 1.    git clone https://github.com/apache/eagle.git   .
> > 2.    git checkout branch-0.5
> > 3.    mvn clean install –DskipTests
> > The  eagle 0.5.0 compile  fails  . I have been debugging the POM.XML
> and  the maven dependencies.  Trying to match the  pom.xml at different
> subdirectories  at 50 worth 5.01.
> > Seems the pom.xml is not  changed per current  repo at Hortonworks  and
> other  components. Current state of the error is as following
> >
> >
> > [ERROR] Failed to execute goal on project alert-assembly: Could not
> resolve dependencies for project org.apache.eagle:alert-assembly:jar:0.5.0:
> The following artifacts could not be resolved:
> org.apache.eagle:alert-common:jar:tests:0.5.0,
> org.apache.eagle:alert-coordinator:jar:tests:0.5.0,
> org.apache.eagle:alert-engine:jar:tests:0.5.0: Failure to find
> org.apache.eagle:alert-common:jar:tests:0.5.0 in
> http://repo.hortonworks.com/content/repositories/releases/ was cached in
> the local repository, resolution will not be reattempted until the update
> interval of HDP Release Repository has elapsed or updates are forced ->
> [Help 1]
> >
> > This is very tedious process . at present  the compile  fails at
> Eagle::Core::Alert::Assembly
> > My environment
> >
> > [root@101-02-08-node1 ~]# npm -version
> > 6.4.1
> > [root@101-02-08-node1 ~]# java -version
> > openjdk version "1.8.0_161"
> >
> > Tushar Shah
> > ts7237@att.com
> >
> > I managed to compile eagle 05.0 . It loads the dashboard at the GUI.
> However not able to  define the  Policy. The apply button  remains greyed
> out.
> http://101-02-08-node1.internal.bigtdata.io:9090/#/site/sandbox/policy/create
>

Mime
  • Unnamed multipart/mixed (inline, None, 0 bytes)
View raw message